Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataFactory

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataFactory

public class DataFactory
extends java.lang.Object

DataFactory
Fabrique de IDataControler et de sous-classes d'accès aux données
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataFactory()`

Method Summary
`static IDataControler` | `make()` Construit un IDataControler
`static IDataDocument` | `makeDocument()` Construit un IDataDocument
`static IDataFolder` | `makeFolder()` Construit un IDataFolder
`static IDataIntranet` | `makeIntranet()` Construit un IDataIntranet
`static IDataMIME` | `makeMIME()` Construit un IDataMIME
`static IDataOrder` | `makeOrder()` Construit un IDataOrder
`static IDataPopulation` | `makePopulation()` Construit un IDataPopulation
`static IDataPublicator` | `makePublicator()` Construit un IDataPublicator
`static IDataSU` | `makeSU()` Construit un IDataSU
`static IDataValidator` | `makeValidator()` Construit un IDataValidator

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFactory

    public DataFactory()

Method Detail

### make

    public static IDataControler make()

  Construit un IDataControler

  Returns:
    Le IDataControler

### makeDocument

    public static IDataDocument makeDocument()

  Construit un IDataDocument

  Returns:
    Le IDataDocument

### makeFolder

    public static IDataFolder makeFolder()

  Construit un IDataFolder

  Returns:
    Le IDataFolder

### makeIntranet

    public static IDataIntranet makeIntranet()

  Construit un IDataIntranet

  Returns:
    Le IDataIntranet

### makeMIME

    public static IDataMIME makeMIME()

  Construit un IDataMIME

  Returns:
    Le IDataMIME

### makeOrder

    public static IDataOrder makeOrder()

  Construit un IDataOrder

  Returns:
    Le IDataOrder

### makePopulation

    public static IDataPopulation makePopulation()

  Construit un IDataPopulation

  Returns:
    Le IDataPopulation

### makePublicator

    public static IDataPublicator makePublicator()

  Construit un IDataPublicator

  Returns:
    Le IDataPublicator

### makeSU

    public static IDataSU makeSU()

  Construit un IDataSU

  Returns:
    Le IDataSU

### makeValidator

    public static IDataValidator makeValidator()

  Construit un IDataValidator

  Returns:
    Le IDataValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD